Skip to main content
GET
/
agents
/
{agent_id}
/
transcripts
List Transcripts
curl --request GET \
  --url https://api.example.com/agents/{agent_id}/transcripts \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.example.com/agents/{agent_id}/transcripts"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.example.com/agents/{agent_id}/transcripts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "agent_id": "<string>",
  "total": 123,
  "transcripts": [
    {
      "session_id": "<string>",
      "channel": "<string>",
      "start_time": "<string>",
      "status": "<string>",
      "message_count": 123,
      "phone_number": "<string>",
      "caller_number": "<string>",
      "end_time": "<string>",
      "duration_seconds": 123,
      "summary": "<string>"
    }
  ]
}
{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

agent_id
string<uuid>
required

Query Parameters

limit
integer
default:50

Number of transcripts to return

Required range: 1 <= x <= 100
offset
integer
default:0

Number of transcripts to skip

Required range: x >= 0
channel
string | null

Filter by channel: web, sip

status
string | null

Filter by status: completed, active, ended

Response

Successful Response

List of transcripts.

agent_id
string
required
total
integer
required
transcripts
TranscriptListItem · object[]
required